Record Customer Engagement
post
/rest/apis/customer/v-model/customerengagements/
This operation creates a Customer Engagement customer contact for each communication. If an error occurs, the communication information is stored in a Customer Engagement Error BO instance for later remediation and reprocessing.
The Communication Product Event Type Mapping extendable lookup defines the mapping between a communication product/event type value combination and a notification event type lookup value. Notification event types must be configured for these lookup values. The customer contact type used for each communication is derived from the notification type defined for the notification event type.
The communication is skipped if the customer contact type cannot be determined or if the customer contact BO is not defined on the customer contact type.
Request
There are no request parameters for this operation.
Supported Media Types
- application/xml
- application/json
Nested Schema : items
Type:
Show Source
object-
accountId: string
Maximum Length:
10The Account ID is a system-assigned random number that stays with an account for life.Example:833559999 -
commContentPath: string
Maximum Length:
256Communication Content Path in the communication repositoryExample:content-storage-v2://VMDL/BDR/POST_SEASON_EVENT/EMAIL/html_report/abc123def456 -
commEventType: string
Maximum Length:
254Communication Event TypeExample:POST_SEASON_EVENT -
commProduct: string
Maximum Length:
254Communication ProductExample:BDR -
deliveryChannel: string
Allowed Values:
[ "EMAI", "FAX ", "IVR ", "SMS " ]The type of delivery by which the communication is sent to the Person Contact. * `EMAI` - Email, * `FAX ` - Fax, * `IVR ` - IVR, * `SMS ` - SMSExample:EMAI -
deliveryValue: string
Maximum Length:
254The information of the Person Contact where the communication is sent.Example:mark.brazil@email.com -
eventCapturedDateTime: string
(date-time)
Date and time of the communication event.
-
externalCCId: string
Maximum Length:
120The unique identifier of the communication in the external system. -
notificationPreferenceId: string
Maximum Length:
14The Notification Preference ID is the unique system generated primary key for the Notification Preference record.Example:95058374991172 -
originatingSystem: string
Allowed Values:
[ "C1CB", "NMS ", "OPW " ]System that initiated the communication * `C1CB` - Customer Care and Billing, * `NMS ` - Network Management System, * `OPW ` - OpowerExample:OPW -
personId: string
Maximum Length:
10Person ID is a system-assigned random number that stays with a person for the life of the system.Example:3903069999 -
status: string
Allowed Values:
[ "C1AP", "C1BN", "C1CK", "C1DV", "C1ES", "C1FL", "C1NS", "C1OP", "C1PN", "C1SK", "C1ST" ]Status of the communication in the external system. * `C1AP` - Auto Opened, * `C1BN` - Bounced, * `C1CK` - Clicked, * `C1DV` - Delivered, * `C1ES` - Error Sending, * `C1FL` - Failed, * `C1NS` - Not Sent, * `C1OP` - Opened, * `C1PN` - Pending, * `C1SK` - Skipped, * `C1ST` - SentExample:C1ST
Nested Schema : items
Type:
Show Source
object-
accountId: string
Maximum Length:
10The Account ID is a system-assigned random number that stays with an account for life.Example:833559999 -
commContentPath: string
Maximum Length:
256Communication Content Path in the communication repositoryExample:content-storage-v2://VMDL/BDR/POST_SEASON_EVENT/EMAIL/html_report/abc123def456 -
commEventType: string
Maximum Length:
254Communication Event TypeExample:POST_SEASON_EVENT -
commProduct: string
Maximum Length:
254Communication ProductExample:BDR -
deliveryChannel: string
Allowed Values:
[ "EMAI", "FAX ", "IVR ", "SMS " ]The type of delivery by which the communication is sent to the Person Contact. * `EMAI` - Email, * `FAX ` - Fax, * `IVR ` - IVR, * `SMS ` - SMSExample:EMAI -
deliveryValue: string
Maximum Length:
254The information of the Person Contact where the communication is sent.Example:mark.brazil@email.com -
eventCapturedDateTime: string
(date-time)
Date and time of the communication event.
-
externalCCId: string
Maximum Length:
120The unique identifier of the communication in the external system. -
notificationPreferenceId: string
Maximum Length:
14The Notification Preference ID is the unique system generated primary key for the Notification Preference record.Example:95058374991172 -
originatingSystem: string
Allowed Values:
[ "C1CB", "NMS ", "OPW " ]System that initiated the communication * `C1CB` - Customer Care and Billing, * `NMS ` - Network Management System, * `OPW ` - OpowerExample:OPW -
personId: string
Maximum Length:
10Person ID is a system-assigned random number that stays with a person for the life of the system.Example:3903069999 -
status: string
Allowed Values:
[ "C1AP", "C1BN", "C1CK", "C1DV", "C1ES", "C1FL", "C1NS", "C1OP", "C1PN", "C1SK", "C1ST" ]Status of the communication in the external system. * `C1AP` - Auto Opened, * `C1BN` - Bounced, * `C1CK` - Clicked, * `C1DV` - Delivered, * `C1ES` - Error Sending, * `C1FL` - Failed, * `C1NS` - Not Sent, * `C1OP` - Opened, * `C1PN` - Pending, * `C1SK` - Skipped, * `C1ST` - SentExample:C1ST
Response
Supported Media Types
- application/xml
- application/json
200 Response
Success response
400 Response
Bad Request
Root Schema : problemDetailDocument
Type:
Show Source
object-
detail: string
Maximum Length:
60The long message description from the Oracle Utilities Application Framework in CDATA format. -
httpStatus: number
Minimum Value:
0Maximum Value:9999The HTTP Status code for the error. -
problemInstance: string
Maximum Length:
60Fully qualified URL consisting of the Base URI Timestamp of error in ISO format, the User used for the transaction, the Message Category within Oracle Utilities Application Framework, the Message Number within Oracle Utilities Application Framework, the Request URL and the HTTP method used for the transaction. -
problemType: string
Maximum Length:
60URL of the format "A/message/X/Y" where A is the base URI, X is the Message Category and Y is the Message Number within Oracle Utilities Application Framework. -
serverMessage: object
serverMessage
-
stackTrace: string
Maximum Length:
60The stack trace shows where the error occurs during the execution of a program. -
title: string
Maximum Length:
60Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
Nested Schema : serverMessage
Type:
Show Source
object-
callSequence: string
Maximum Length:
60Delimited sequence of programs called. -
longDescription: string
Maximum Length:
60The long message description from the Oracle Utilities Application Framework in CDATA format. -
messageCategory: number
Minimum Value:
0Maximum Value:0Message Category within Oracle Utilities Application Framework. -
messageNbr: number
Minimum Value:
-99999Maximum Value:99999Message Number within Oracle Utilities Application Framework. -
messageText: string
Maximum Length:
60Fully qualified error message from Oracle Utilities Application Framework in CDATA format. -
programName: string
Maximum Length:
60Name of the program that encountered the error.
500 Response
Internal Server Error
Root Schema : problemDetailDocument
Type:
Show Source
object-
detail: string
Maximum Length:
60The long message description from the Oracle Utilities Application Framework in CDATA format. -
httpStatus: number
Minimum Value:
0Maximum Value:9999The HTTP Status code for the error. -
problemInstance: string
Maximum Length:
60Fully qualified URL consisting of the Base URI Timestamp of error in ISO format, the User used for the transaction, the Message Category within Oracle Utilities Application Framework, the Message Number within Oracle Utilities Application Framework, the Request URL and the HTTP method used for the transaction. -
problemType: string
Maximum Length:
60URL of the format "A/message/X/Y" where A is the base URI, X is the Message Category and Y is the Message Number within Oracle Utilities Application Framework. -
serverMessage: object
serverMessage
-
stackTrace: string
Maximum Length:
60The stack trace shows where the error occurs during the execution of a program. -
title: string
Maximum Length:
60Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
Nested Schema : serverMessage
Type:
Show Source
object-
callSequence: string
Maximum Length:
60Delimited sequence of programs called. -
longDescription: string
Maximum Length:
60The long message description from the Oracle Utilities Application Framework in CDATA format. -
messageCategory: number
Minimum Value:
0Maximum Value:0Message Category within Oracle Utilities Application Framework. -
messageNbr: number
Minimum Value:
-99999Maximum Value:99999Message Number within Oracle Utilities Application Framework. -
messageText: string
Maximum Length:
60Fully qualified error message from Oracle Utilities Application Framework in CDATA format. -
programName: string
Maximum Length:
60Name of the program that encountered the error.